Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.Widget Class Reference
Inheritance diagram for FSDK.Widget:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (annot)
| Constructor, with parent class object. More...
| GetAction ()
| Get action. More...
| GetAppearanceOnStateName ()
| Get the name of the annotation's appearance "ON" state. More...
| GetAppearanceState ()
| Get the annotation's appearance state, which selects the applicable appearance stream from an appearance subdictionary. More...
| GetControl ()
| Get associated form control. More...
| GetField ()
| Get associated form field. More...
| GetHighlightingMode ()
| Get highlighting mode. More...
| GetLineSpacing (line_spacing_value)
| Get line spacing of current widget. More...
| GetMKBackgroundColor ()
| Get the background color in the MK dictionary. More...
| GetMKBorderColor ()
| Get the border color in the MK dictionary. More...
| GetMKDownCaption ()
| Get the down caption string in the MK dictionary. More...
| GetMKDownIconBitmap ()
| Get the down icon bitmap in the MK dictionary. More...
| GetMKIconCaptionRelation ()
| Get the relation of icon and caption in the MK dictionary. More...
| GetMKIconFit ()
| Get the icon fit information in the MK dictionary. More...
| GetMKNormalCaption ()
| Get the normal caption string in the MK dictionary. More...
| GetMKNormalIconBitmap ()
| Get the normal icon bitmap in the MK dictionary. More...
| GetMKRolloverCaption ()
| Get the rollover caption string in the MK dictionary. More...
| GetMKRolloverIconBitmap ()
| Get the rollover icon bitmap in the MK dictionary. More...
| GetMKRotation ()
| Get the rotation value in the MK dictionary. More...
| HasMKEntry (mk_entry)
| Check if a specified entry exists in the MK dictionary. More...
| RemoveAction ()
| Remove action. More...
| RemoveMKEntry (mk_entry)
| Remove a specified entry from the MK dictionary. More...
| SetAction (action)
| Set action. More...
| SetAppearanceState (appearance_state)
| Set the annotation's appearance state, which selects the applicable appearance stream from an appearance subdictionary. More...
| SetHighlightingMode (mode)
| Set highlighting mode. More...
| SetLineSpacing (line_spacing_style, line_spacing_value)
| Set line spacing for current widget. More...
| SetMKBackgroundColor (color)
| Set the background color in the MK dictionary. More...
| SetMKBorderColor (color)
| Set the border color in the MK dictionary. More...
| SetMKDownCaption (caption)
| Set the down caption string in the MK dictionary. More...
| SetMKDownIconBitmap (bitmap)
| Set the down icon bitmap in the MK dictionary. More...
| SetMKDownIconImage (image, frame_index)
| Set an image with specified frame index as down icon in the MK dictionary. More...
| SetMKIconCaptionRelation (relation)
| Set the relation of icon and caption in the MK dictionary. More...
| SetMKIconFit (icon_fit)
| Set the icon fit information in the MK dictionary. More...
| SetMKNormalCaption (caption)
| Set the normal caption string in the MK dictionary. More...
| SetMKNormalIconBitmap (bitmap)
| Set a bitmap as normal icon in the MK dictionary. More...
| SetMKNormalIconImage (image, frame_index)
| Set an image with specified frame index as normal icon in the MK dictionary. More...
| SetMKRolloverCaption (caption)
| Set the rollover caption string in the MK dictionary. More...
| SetMKRolloverIconBitmap (bitmap)
| Set the rollover icon bitmap in the MK dictionary. More...
| SetMKRolloverIconImage (image, frame_index)
| Set an image with specified frame index as rollover icon in the MK dictionary. More...
| SetMKRotation (rotation)
| Set the rotation value in the MK dictionary. More...
Public Member Functions inherited from FSDK.Annot
| constructor ()
| Constructor.
| constructor (page, annot_dict)
| Constructor, with PDF page and annotation's PDF dictionary. More...
| GetAppearanceStream (type, appearance_state)
| Get annotation's appearance stream with specified type and state. More...
| GetBorderColor ()
| Get border color. More...
| GetBorderInfo ()
| Get border information. More...
| GetContent ()
| Get content. More...
| GetDeviceRect (matrix)
| Get annotation rectangle in device coordinate system. More...
| GetDict ()
| Get annotation's dictionary object. More...
| GetDisplayMatrix (page_display_matrix)
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
| GetFlags ()
| Get annotation flags. More...
| GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
| GetModifiedDateTime ()
| Get last modified date time. More...
| GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
| GetPage ()
| Get the related PDF page. More...
| GetRect ()
| Get rectangle, in PDF coordinate system. More...
| GetType ()
| Get actual annotation type of current annotation. More...
| GetUniqueID ()
| Get unique ID. More...
| HasProperty (property)
| Whether current annotation has the specified annotation's property. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| IsMarkup ()
| Check if current annotation is a markup annotation. More...
| Move (rect)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
| Move (rect, is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
| RemoveProperty (property)
| Remove a specified annotation's property. More...
| ResetAppearanceStream ()
| Reset appearance stream. More...
| ResetAppearanceStream (is_generate_new_appearance_obj)
| Reset appearance stream. More...
| SetBorderColor (color)
| Set border color. More...
| SetBorderInfo (border)
| Set border information. More...
| SetContent (content)
| Set content. More...
| SetFlags (flags)
| Set annotation flags. More...
| SetModifiedDateTime (date_time)
| Set last modified date time. More...
| SetUniqueID (unique_id)
| Set unique ID. More...

## Static Public Attributes
static | e_LineSpacingAuto
| Line spacing style: auto line spacing.
static | e_LineSpacingDouble
| Line spacing style: double line spacing.
static | e_LineSpacingExactValue
| Line spacing style: exact value line spacing.
static | e_LineSpacingOneAndHalf
| Line spacing style: one and half times line spacing.
static | e_LineSpacingSingle
| Enumeration for line spacing style. More...
Static Public Attributes inherited from FSDK.Annot
static | e_3D
| Annotation type: 3D annotation. One of standard annotation in <PDF reference 1.7>.
static | e_AppearanceTypeDown
| Annotation's down appearance.
static | e_AppearanceTypeNormal
| Enumeration for the type of annotation's appearance. More...
static | e_AppearanceTypeRollover
| Annotation's rollover appearance.
static | e_Caret
| Annotation type: caret annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Circle
| Annotation type: circle annotation. One of standard annotation in <PDF reference 1.7>.
static | e_FileAttachment
| Annotation type: file attachment annotation. One of standard annotation in <PDF reference 1.7>.
static | e_FlagHidden
| Annotation flag: hidden. More...
static | e_FlagInvisible
| Enumeration for PDF annotation flags. More...
static | e_FlagLocked
| Annotation flag: locked. More...
static | e_FlagLockedContents
| Annotation flag: locked contents. More...
static | e_FlagNoRotate
| Annotation flag: no rotate. More...
static | e_FlagNoView
| Annotation flag: no view. More...
static | e_FlagNoZoom
| Annotation flag: no zoom. More...
static | e_FlagPrint
| Annotation flag: print. More...
static | e_FlagReadOnly
| Annotation flag: read only. More...
static | e_FlagToggleNoView
| Annotation flag: toggle no view. More...
static | e_FreeText
| Annotation type: free text annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Highlight
| Annotation type: highlight annotation. One of standard annotation in <PDF reference 1.7>.
static | e_HighlightingInvert
| Highlighting mode: Invert, which is to invert the contents of the annotation rectangle.
static | e_HighlightingNone
| Enumeration for PDF annotation highlighting mode. More...
static | e_HighlightingOutline
| Highlighting mode: Outline, which is to invert the annotation's border.
static | e_HighlightingPush
| Highlighting mode: Push, which is to display the annotation's down appearance, if any.
static | e_HighlightingToggle
| Highlighting mode: Toggle. This is only useful for widget annotation.
static | e_Ink
| Annotation type: ink annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Line
| Annotation type: line annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Link
| Annotation type: link annotation. One of standard annotation in <PDF reference 1.7>.
static | e_MKEntryBackgroundColor
| Background color entry. "BG" in MK dictionary.
static | e_MKEntryBorderColor
| Border color entry. "BC" in MK dictionary.
static | e_MKEntryDownCaption
| Down caption (or alternate caption) entry. "AC" in MK dictionary. More...
static | e_MKEntryDownIcon
| Down icon (or alternate icon) entry. "IX" in MK dictionary. More...
static | e_MKEntryIconCaptionRelation
| Icon and caption relation entry. "TP" in MK dictionary. More...
static | e_MKEntryIconFit
| Icon fit information entry. "IF" in MK dictionary. More...
static | e_MKEntryNormalCaption
| Normal caption entry. "CA" in MK dictionary. More...
static | e_MKEntryNormalIcon
| Normal icon entry. "I" in MK dictionary. More...
static | e_MKEntryRolloverCaption
| Rollover caption entry. "RC" in MK dictionary. More...
static | e_MKEntryRolloverIcon
| Rollover icon entry. "RI" in MK dictionary. More...
static | e_MKEntryRotation
| Enumeration for annotation's MK dictionary (an appearance characteristics) entry. More...
static | e_MKRelationCaptionAboveIcon
| Caption above the icon.
static | e_MKRelationCaptionBelowIcon
| Caption below the icon.
static | e_MKRelationCaptionLeft
| Caption to the left of the icon.
static | e_MKRelationCaptionOvrlayOnIcon
| Caption overlaid directly on the icon.
static | e_MKRelationCaptionRight
| Caption to the right of the icon.
static | e_MKRelationNoCaption
| No caption; icon only.
static | e_MKRelationNoIcon
| Enumeration for icon and caption relative position in annotation's MK dictionary. More...
static | e_Movie
| Annotation type: movie annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Note
| Annotation type: note annotation, which is just "Text" annotation - one of standard annotation in <PDF reference 1.7>.
static | e_PagingSeal
| Annotation type: paging seal annotation. A Foxit PDF SDK custom annotation type (not a standard annotation type).
static | e_Polygon
| Annotation type: polygon annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PolyLine
| Annotation type: polyline annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Popup
| Annotation type: pop-up annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PrinterMark
| Annotation type: printer's mark annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PropertyBorderColor
| Annotation property: border color. More...
static | e_PropertyCreationDate
| Annotation property: creation date. More...
static | e_PropertyFillColor
| Annotation property: fill color. More...
static | e_PropertyModifiedDate
| Enumeration for some PDF annotation property. More...
static | e_PSInk
| Annotation type: pressure sensitive ink annotation.
static | e_Redact
| Annotation type: redact annotation.
static | e_RichMedia
| Annotation type: rich media annotation.
static | e_Screen
| Annotation type: screen annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Sound
| Annotation type: sound annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Square
| Annotation type: square annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Squiggly
| Annotation type: squiggly annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Stamp
| Annotation type: stamp annotation. One of standard annotation in <PDF reference 1.7>.
static | e_StrikeOut
| Annotation type: strikeout annotation. One of standard annotation in <PDF reference 1.7>.
static | e_TrapNet
| Annotation type: trap network annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Underline
| Annotation type: underline annotation. One of standard annotation in <PDF reference 1.7>.
static | e_UnknownType
| Enumeration for PDF annotation type. More...
static | e_Watermark
| Annotation type: watermark annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Widget
| Annotation type: widget annotation. One of standard annotation in <PDF reference 1.7>. More...

## Detailed Description

A widget annotation is used to represent the appearance of form fields.
Class FSDK.Widget is derived from class FSDK.Annot and also offers functions to get/set widget annotation's properties. Functions FSDK.Widget.GetField and FSDK.Widget.GetControl can be used to get the associated form field and form control object. If a widget annotation is not associated with any form field or is associated with a signature field, this widget can still get/set properties, but cannot be reset appearance. For these cases, FSDK.Annot.ResetAppearanceStream (inherited from Widget's parent class) will return false directly.

See also
  FSDK.Annot
  FSDK.Field
  FSDK.Control

## Member Function Documentation

## ◆ constructor()

FSDK.Widget.constructor | ( | annot |  | ) |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

## ◆ GetAction()

FSDK.Widget.GetAction | ( |  | ) |

Get action.

This function cannot be used to get action which is used as additional action. If user wants to get any additional action, please refer to class FSDK.AdditionalAction for more details.

Returns
  An action object that receives the action data. If the return value of function FSDK.Action.IsEmpty for the returned action object is true, that means no action.

## ◆ GetAppearanceOnStateName()

FSDK.Widget.GetAppearanceOnStateName | ( |  | ) |

Get the name of the annotation's appearance "ON" state.

Returns
  The name of the annotation's appearance "ON" state.

## ◆ GetAppearanceState()

FSDK.Widget.GetAppearanceState | ( |  | ) |

Get the annotation's appearance state, which selects the applicable appearance stream from an appearance subdictionary.

Returns
  The annotation's appearance state.

## ◆ GetControl()

FSDK.Widget.GetControl | ( |  | ) |

Get associated form control.

Returns
  The associated form control object.

## ◆ GetField()

FSDK.Widget.GetField | ( |  | ) |

Get associated form field.

Returns
  The associated form field object.

## ◆ GetHighlightingMode()

FSDK.Widget.GetHighlightingMode | ( |  | ) |

Get highlighting mode.

Highlighting mode is the visual effect to be used when the mouse button is pressed or held down inside its active area.

Returns
  Highlighting mode value. Please refer to values starting from FSDK.Annot.e_HighlightingNone and this would be one of these values.

## ◆ GetLineSpacing()

FSDK.Widget.GetLineSpacing | ( | line_spacing_value |  | ) |

Get line spacing of current widget.

This is only applicable for widget associated with text fields which contain the flag FSDK.Field.e_FlagTextMultiline. For other type of fields, this will be useless.

Parameters

  [out] | line_spacing_value | Output parameter that receives the line spacing exact value.

Returns
  Line spacing style. Please refer to values starting from FSDK.Widget.e_LineSpacingSingle and this would be one of these values.

## ◆ GetMKBackgroundColor()

FSDK.Widget.GetMKBackgroundColor | ( |  | ) |

Get the background color in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Returns
  The background color in MK dictionary. Value format: 0xRRGGBB.
  0 may means no background color in MK dictionary. In this case, please call function FSDK.Widget.HasMKEntry with value FSDK.Annot.e_MKEntryBackgroundColor to check.

## ◆ GetMKBorderColor()

FSDK.Widget.GetMKBorderColor | ( |  | ) |

Get the border color in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Returns
  The border color in MK dictionary. Value format: 0xRRGGBB.
  0 may means no border color in MK dictionary. In this case, please call function FSDK.Widget.HasMKEntry with value FSDK.Annot.e_MKEntryBorderColor to check.

## ◆ GetMKDownCaption()

FSDK.Widget.GetMKDownCaption | ( |  | ) |

Get the down caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Down caption (or alternate caption) in MK dictionary is used to displayed when the mouse button is pressed within its active area. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  Down caption string. An empty string may means no down caption in MK dictionary. In this case, please call function FSDK.Widget.HasMKEntry with value FSDK.Annot.e_MKEntryDownCaption to check.

## ◆ GetMKDownIconBitmap()

FSDK.Widget.GetMKDownIconBitmap | ( |  | ) |

Get the down icon bitmap in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Down icon (or alternate icon) in MK dictionary is used to displayed when the mouse button is pressed within its active area. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  Down icon bitmap. If function FSDK.Bitmap.IsEmpty for the returned bitmap object returns true, that means current widget annotation does not have down icon bitmap.

## ◆ GetMKIconCaptionRelation()

FSDK.Widget.GetMKIconCaptionRelation | ( |  | ) |

Get the relation of icon and caption in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The relation position of caption and icon specifies where to position the text of the widget annotation's caption relative to its icon. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  The relation position of caption and icon. Please refer to FSDK.Annot.e_MKRelationNoIcon values and it should be one of these values.

## ◆ GetMKIconFit()

FSDK.Widget.GetMKIconFit | ( |  | ) |

Get the icon fit information in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The icon fit information specifies how to display the widget annotation's icon within its annotation rectangle. If present, the icon fit information applies to all of the annotation's icons. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  An icon fit object, which contains the icon fit information in MK dictionary. If scale way type of icon fit object is value FSDK.IconFit.e_ScaleWayNone, that means no icon fit information in MK dictionary.

## ◆ GetMKNormalCaption()

FSDK.Widget.GetMKNormalCaption | ( |  | ) |

Get the normal caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Normal caption in MK dictionary is used to displayed when the widget is not interacting with the user. This is applicable for widget associated with pushbutton field, check box field or radio button field. For other type of fields, this will be useless.

Returns
  Normal caption string. An empty string may means no normal caption in MK dictionary. In this case, please call function FSDK.Widget.HasMKEntry with value FSDK.Annot.e_MKEntryNormalCaption to check.

## ◆ GetMKNormalIconBitmap()

FSDK.Widget.GetMKNormalIconBitmap | ( |  | ) |

Get the normal icon bitmap in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Normal icon in MK dictionary is used to displayed when the widget is not interacting with the user. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  Normal icon bitmap. If function FSDK.Bitmap.IsEmpty for the returned bitmap object returns true, that means current widget annotation does not have normal icon bitmap.

## ◆ GetMKRolloverCaption()

FSDK.Widget.GetMKRolloverCaption | ( |  | ) |

Get the rollover caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Rollover caption in MK dictionary is used to displayed when the user rolls the cursor into its active area without pressing the mouse button. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  Rollover caption string. An empty string may means no rollover caption in MK dictionary. In this case, please call function FSDK.Widget.HasMKEntry with value FSDK.Annot.e_MKEntryRolloverCaption to check.

## ◆ GetMKRolloverIconBitmap()

FSDK.Widget.GetMKRolloverIconBitmap | ( |  | ) |

Get the rollover icon bitmap in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Rollover icon in MK dictionary is used to displayed when the user rolls the cursor into its active area without pressing the mouse button. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Returns
  Rollover icon bitmap. If function FSDK.Bitmap.IsEmpty for the returned bitmap object returns true, that means current widget annotation does not have rollover icon bitmap.

## ◆ GetMKRotation()

FSDK.Widget.GetMKRotation | ( |  | ) |

Get the rotation value in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The rotation in MK dictionary specifies the degrees by which the widget annotation is rotated counterclockwise relative to the page.

Returns
  The rotation value in MK dictionary. Please refer to values starting from FSDK.e_Rotation0 and this would be one of these values. Value FSDK.e_RotationUnknown means no rotation in MK dictionary. Specially, returned rotation value represents in counterclockwise.

## ◆ HasMKEntry()

FSDK.Widget.HasMKEntry | ( | mk_entry |  | ) |

Check if a specified entry exists in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Parameters

  [in] | mk_entry | An entry in MK dictionary. Please refer to values starting from FSDK.Annot.e_MKEntryRotation and this should be one of these values.

Returns
  true means the specified entry exists in the MK dictionary, while false means not.

## ◆ RemoveAction()

FSDK.Widget.RemoveAction | ( |  | ) |

Remove action.

This function cannot be used to remove action which is used as additional action. If user wants to remove any additional action, please refer to class FSDK.AdditionalAction for more details.

Returns
  None.

## ◆ RemoveMKEntry()

FSDK.Widget.RemoveMKEntry | ( | mk_entry |  | ) |

Remove a specified entry from the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Parameters

  [in] | mk_entry | An entry in MK dictionary. Please refer to values starting from FSDK.Annot.e_MKEntryRotation and this should be one of these values.

Returns
  None.

## ◆ SetAction()

FSDK.Widget.SetAction | ( | action |  | ) |

Set action.

This function cannot be used to set action which is used as additional action. If user wants to set any additional action, please refer to class FSDK.AdditionalAction for more details.

Parameters

  [in] | action | New action to be set. It should be valid. Currently only support following types as the new action: FSDK.Action.e_TypeGoto, FSDK.Action.e_TypeURI, FSDK.Action.e_TypeJavaScript, FSDK.Action.e_TypeNamed, FSDK.Action.e_TypeGoToR, FSDK.Action.e_TypeGoToE, FSDK.Action.e_TypeSubmitForm, FSDK.Action.e_TypeResetForm, FSDK.Action.e_TypeHide, FSDK.Action.e_TypeLaunch, FSDK.Action.e_TypeImportData, FSDK.Action.e_TypeRendition.

Returns
  None.

## ◆ SetAppearanceState()

FSDK.Widget.SetAppearanceState | ( | appearance_state |  | ) |

Set the annotation's appearance state, which selects the applicable appearance stream from an appearance subdictionary.

Parameters

  [in] | appearance_state | The annotation's appearance state.

Returns
  None.

## ◆ SetHighlightingMode()

FSDK.Widget.SetHighlightingMode | ( | mode |  | ) |

Set highlighting mode.

Highlighting mode is the visual effect to be used when the mouse button is pressed or held down inside its active area.

Parameters

  [in] | mode | New highlighting mode value. Please refer to values starting from FSDK.Annot.e_HighlightingNone and this should be one of these values.

Returns
  None.

## ◆ SetLineSpacing()

FSDK.Widget.SetLineSpacing | ( | line_spacing_style | ,
|  | line_spacing_value |
| ) |  |

Set line spacing for current widget.

This is only applicable for widget associated with text fields which contain the flag FSDK.Field.e_FlagTextMultiline. For other type of fields, this will be useless.

Parameters

  [in] | line_spacing_style | Line spacing style to be set to current widget.Please refer to values starting from FSDK.Widget.e_LineSpacingSingle and this would be one of these values.
  [in] | line_spacing_value | Line spacing exact value to be set to current widget when parameter line_spacing_style is FSDK.Widget.e_LineSpacingExactValue. When this parameter is useful, this parameter must be an non-negative value and the unit should be "pt" (known as point). If this value is zero, the effect of line spacing will be the same as single line spacing.

Returns
  None.

## ◆ SetMKBackgroundColor()

FSDK.Widget.SetMKBackgroundColor | ( | color |  | ) |

Set the background color in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Parameters

  [in] | color | The background color to be set in MK dictionary. Value format: 0xRRGGBB.

Returns
  None.

## ◆ SetMKBorderColor()

FSDK.Widget.SetMKBorderColor | ( | color |  | ) |

Set the border color in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page.

Parameters

  [in] | color | The border color to be set in MK dictionary. Value format: 0xRRGGBB.

Returns
  None.

## ◆ SetMKDownCaption()

FSDK.Widget.SetMKDownCaption | ( | caption |  | ) |

Set the down caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Down caption (or alternate caption) in MK dictionary is used to displayed when the mouse button is pressed within its active area. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | caption | Down caption string to be set in MK dictionary. It can be an empty string.

Returns
  None.

## ◆ SetMKDownIconBitmap()

FSDK.Widget.SetMKDownIconBitmap | ( | bitmap |  | ) |

Set the down icon bitmap in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Down icon (or alternate icon) in MK dictionary is used to displayed when the mouse button is pressed within its active area. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | bitmap | A valid bitmap to be set as down icon in MK dictionary.

Returns
  None.

## ◆ SetMKDownIconImage()

FSDK.Widget.SetMKDownIconImage | ( | image | ,
|  | frame_index |
| ) |  |

Set an image with specified frame index as down icon in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Down icon (or alternate icon) in MK dictionary is used to displayed when the mouse button is pressed within its active area. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | image | An image. One of its frames will be set as down icon in MK dictionary. This image should contain at least one frame and the image type should not be FSDK.Image.e_Unknown.
  [in] | frame_index | Frame index. Valid range: from 0 to (count-1). count is returned by function FSDK.Image.GetFrameCount.

## ◆ SetMKIconCaptionRelation()

FSDK.Widget.SetMKIconCaptionRelation | ( | relation |  | ) |

Set the relation of icon and caption in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The relation position of caption and icon specifies where to position the text of the widget annotation's caption relative to its icon. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | relation | The relation position of caption and icon. Please refer to values starting from FSDK.Annot.e_MKRelationNoIcon and this should be one of these values.

Returns
  None.

## ◆ SetMKIconFit()

FSDK.Widget.SetMKIconFit | ( | icon_fit |  | ) |

Set the icon fit information in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The icon fit information specifies how to display the widget annotation's icon within its annotation rectangle. If present, the icon fit information applies to all of the annotation's icons. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | icon_fit | An icon fit object which represents the icon fit information to be set in MK dictionary. If value of any member in this object is invalid, this function will throw exception FSDK.e_ErrParam. Please refer to class FSDK.IconFit to check the valid value range for each member.

Returns
  None.

## ◆ SetMKNormalCaption()

FSDK.Widget.SetMKNormalCaption | ( | caption |  | ) |

Set the normal caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Normal caption in MK dictionary is used to displayed when the widget is not interacting with the user. This is applicable for widgets associated with pushbutton field, check box field or radio button field. For other type of fields, this will be useless.

Parameters

  [in] | caption | Normal caption string to be set in MK dictionary. It can be an empty string.

Returns
  None.

## ◆ SetMKNormalIconBitmap()

FSDK.Widget.SetMKNormalIconBitmap | ( | bitmap |  | ) |

Set a bitmap as normal icon in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Normal icon in MK dictionary is used to displayed when the widget is not interacting with the user. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | bitmap | A valid bitmap to be set as normal icon in MK dictionary.

Returns
  None.

## ◆ SetMKNormalIconImage()

FSDK.Widget.SetMKNormalIconImage | ( | image | ,
|  | frame_index |
| ) |  |

Set an image with specified frame index as normal icon in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Normal icon in MK dictionary is used to displayed when the widget is not interacting with the user. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | image | An image. One of its frames will be set as normal icon in MK dictionary. This image should contain at least one frame and the image type should not be FSDK.Image.e_Unknown.
  [in] | frame_index | Frame index. Valid range: from 0 to (count-1). count is returned by function FSDK.Image.GetFrameCount.

## ◆ SetMKRolloverCaption()

FSDK.Widget.SetMKRolloverCaption | ( | caption |  | ) |

Set the rollover caption string in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Rollover caption in MK dictionary is used to displayed when the user rolls the cursor into its active area without pressing the mouse button. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | caption | Rollover caption string to be set in MK dictionary. It can be an empty string.

Returns
  None.

## ◆ SetMKRolloverIconBitmap()

FSDK.Widget.SetMKRolloverIconBitmap | ( | bitmap |  | ) |

Set the rollover icon bitmap in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Rollover icon in MK dictionary is used to displayed when the user rolls the cursor into its active area without pressing the mouse button. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | bitmap | A valid bitmap to be set as rollover icon in MK dictionary.

Returns
  None.

## ◆ SetMKRolloverIconImage()

FSDK.Widget.SetMKRolloverIconImage | ( | image | ,
|  | frame_index |
| ) |  |

Set an image with specified frame index as rollover icon in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. Rollover icon in MK dictionary is used to displayed when the user rolls the cursor into its active area without pressing the mouse button. This is applicable for widget associated with pushbutton field. For other type of fields, this will be useless.

Parameters

  [in] | image | An image. One of its frames will be set as rollover icon in MK dictionary. This image should contain at least one frame and the image type should not be FSDK.Image.e_Unknown.
  [in] | frame_index | Frame index. Valid range: from 0 to (count-1). count is returned by function FSDK.Image.GetFrameCount.

## ◆ SetMKRotation()

FSDK.Widget.SetMKRotation | ( | rotation |  | ) |

Set the rotation value in the MK dictionary.

MK dictionary is an appearance characteristics dictionary to be used in constructing a dynamic appearance stream specifying the annotation's visual presentation on the page. The rotation in MK dictionary specifies the degrees by which the widget annotation is rotated counterclockwise relative to the page.

Parameters

  [in] | rotation | The rotation value to be set in MK dictionary. Please refer to values starting from FSDK.e_Rotation0 and this should be one of these values except FSDK.e_RotationUnknown. Specially, rotation value here represents in counterclockwise.

## Member Data Documentation

## ◆ e_LineSpacingSingle

FSDK.Widget.e_LineSpacingSingle
| static

Enumeration for line spacing style.

Values of this enumeration should be used alone.

Line spacing style: single line spacing.